class SignesAndRulesManual {
  List<Data> data;

  SignesAndRulesManual({required this.data});

  factory SignesAndRulesManual.fromJson(Map<String, dynamic> json) {
    return SignesAndRulesManual(
      data: json['data'] == null
          ? []
          : (json['data'] as List).map((e) => Data.fromJson(e)).toList(),
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['data'] = this.data.map((v) => v.toJson()).toList();
    return data;
  }
}

class Data {
  int id;
  String status;
  var sort;
  String dateCreated;
  String dateUpdated;
  String icon;
  String type;
  int parentId;
  String titleUz;
  String titleRu;
  String titleOz;
  String contentUz;
  String contentOz;
  String contentRu;

  Data({
    required this.id,
    required this.status,
    required this.sort,
    required this.dateCreated,
    required this.dateUpdated,
    required this.icon,
    required this.type,
    required this.parentId,
    required this.titleUz,
    required this.titleRu,
    required this.titleOz,
    required this.contentUz,
    required this.contentOz,
    required this.contentRu,
  });

  factory Data.fromJson(Map<String, dynamic> json) {
    return Data(
      id: json['id'],
      status: json['status'],
      sort: json['sort'],
      dateCreated: json['date_created'],
      dateUpdated: json['date_updated'],
      icon: json['icon'],
      type: json['type'],
      parentId: json['parent_id'],
      titleUz: json['title_uz'],
      titleRu: json['title_ru'],
      titleOz: json['title_oz'],
      contentUz: json['content_uz'],
      contentOz: json['content_oz'],
      contentRu: json['content_ru'],
    );
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['status'] = this.status;
    data['sort'] = this.sort;
    data['date_created'] = this.dateCreated;
    data['date_updated'] = this.dateUpdated;
    data['icon'] = this.icon;
    data['type'] = this.type;
    data['parent_id'] = this.parentId;
    data['title_uz'] = this.titleUz;
    data['title_ru'] = this.titleRu;
    data['title_oz'] = this.titleOz;
    data['content_uz'] = this.contentUz;
    data['content_oz'] = this.contentOz;
    data['content_ru'] = this.contentRu;
    return data;
  }
}
